commit: 9c5c6bd0110c3d968b84433efa057a9f4348fe41
Author: Mike Pagano <mpagano <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 17 19:09:51 2025 +0000
Commit: Mike Pagano <mpagano <AT> gentoo <DOT> org>
CommitDate: Mon Feb 17 19:09:51 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c5c6bd0
app-portage/portpeek: add 3.2.6, dont die on USE_EXPAND
Signed-off-by: Mike Pagano <mpagano <AT> gentoo.org>
app-portage/portpeek/Manifest | 1 +
app-portage/portpeek/portpeek-3.2.6.ebuild | 29 +++++++++++++++++++++++++++++
2 files changed, 30 insertions(+)
diff --git a/app-portage/portpeek/Manifest b/app-portage/portpeek/Manifest
index ac2c786744eb..9e6560e208af 100644
--- a/app-portage/portpeek/Manifest
+++ b/app-portage/portpeek/Manifest
@@ -1 +1,2 @@
DIST portpeek-3.2.4.tar.gz 13655 BLAKE2B
bc758a6312775458974bf0cd1218150f18b35cf0722b36829443a7df8e8aaf35b40f2d8edeaad8a21f32b9a5f46ad2eabe7a762286ad62f71f41de08553fbd1c
SHA512
2a8d85c1862c3d800251aa94a9ffdee18100aa8d39b6e72dcf8d34c21ac1efb7ef100efe4a3bca5b96570604bfa4b5c4f702ab85f343476ba3081f123d65b5e5
+DIST portpeek-3.2.6.tar.gz 13936 BLAKE2B
16b788a6740bfd230b70d692128ccba35b5d680429a0316d8530bfff2aeecd99f7bfd89896216a07bead9e74d9076481a51b7c0b9466a4daec4cb254f5ecc98c
SHA512
6f5013b2c26ec7568dff560048bd9ed3b13015e765e6bcdd03798e8d1050e2d175dbd6126029d031ff7415a3fd111cd7d88a7cfcb80f8f4c9d575e9a99312881
diff --git a/app-portage/portpeek/portpeek-3.2.6.ebuild
b/app-portage/portpeek/portpeek-3.2.6.ebuild
new file mode 100644
index 000000000000..1ca2dd9b0ff4
--- /dev/null
+++ b/app-portage/portpeek/portpeek-3.2.6.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit python-r1
+
+DESCRIPTION="A helper program for maintaining the package.keyword and
package.unmask files"
+HOMEPAGE="https://github.com/mpagano/portpeek"
+SRC_URI="https://github.com/mpagano/portpeek/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~riscv ~sparc ~x86"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}"
+RDEPEND="${DEPEND}
+ >=app-portage/gentoolkit-0.6.7
+ || (
+ >=sys-apps/portage-3.0.65-r1[${PYTHON_USEDEP}]
+ )"
+
+src_install() {
+ python_foreach_impl python_doscript ${PN}
+ doman *.[0-9]
+}